## UPI Payment QRCode Generator.
This Plugin mainly focus on the generation of UPI Payment QRCode, so that the user can scan the 
QRCode for paying the specific amount of money using UPI.

<video src="https://user-images.githubusercontent.com/47639176/150126098-fa5e495b-c419-44bd-a2fb-7193fdcc1533.mp4" width=200 ></video>


<img src="https://user-images.githubusercontent.com/47639176/150126503-66287710-092c-44fc-bd60-8ec89bae300a.jpeg" width="150">

UPI Payment QRCode without amount specified | UPI Payment QRCode with amount specified
:-: | :-:
<img src="https://user-images.githubusercontent.com/47639176/150126450-390c028a-9a8c-4a63-be2b-15b41a091a6e.jpeg" width="150">|<img src="https://user-images.githubusercontent.com/47639176/150126345-fb291cd8-94e6-4fb0-88be-c65df5730d95.jpeg"  width="150" />



## Features
Use this plugin in Flutter app too:
 *  Make a UPI Payment to a Payee of specific amount of money by scanning the QRCode generated by this plugin.
 *  You can generate a UPI Payment QRCode without entering specific amount, so that user can pay the amount they want to send.

## Installation
Install the latest version from pub.

## Getting Started


#### Step 1
Import the Package: 
```dart
import 'package:upi_payment_qrcode_generator/upi_payment_qrcode_generator.dart';
```

#### Step 2
Create **UPIDetails** Object.
```dart
final upiDetails = UPIDetails(upiID: "UPI ID", payeeName: "Payee Name", amount: 1);
```
Here, **UPIDetails** contains requires a set of properties where,
* **upiID** value is required we need to pass the UPI ID or Virtual Payment Address(VPA) e.g *712534798@paytm*
* **payeeName** value is required, pass the payeeName or the Business Name
* **amount** value is optional, if amount has value then *the user cannot change the amount while transferring* else the user can send the amount as per the user required.
* **transactionID** value is optional, Transation ID is generated by the payment Service Provider.
* **transactionNote** value is optional, This is specially for the note you want to send while transferring the amount.
* **currencyCode** value is optional, Default value is *INR*
  
**NOTE:** UPI Transaction will operate only in INR.

#### Step 3
Include this widget in you Widget Tree
```dart
UPIPaymentQRCode(upiDetails: upiDetails, size: 200,),
```


This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

Don't Forget to give **Star** and **Like**
